OpenBlocks Mod 1.7.10/1.6.4

Let's give a try on OpenBlocks Mod with a lot of differences, interesting toys and fun. This mod introduces a variety of ideas in Minecraft.

OpenBlocks-Mod.jpg

Let’s give a try on OpenBlocks Mod with a lot of differences, interesting toys and fun. This mod is a new open source mod that introduces a variety of ideas in Minecraft, including hang gliders, elevators, awesome multiblock tanks, graves, paints, cranes, liquid XP, cartographers, trophies and so on.

Mod Showcases:

NotEnoughCodecs:

This mod is an optional client-side mod that will allow users to listen to mp3 and aac streams from the OpenBlocks radio.ย Don’t worry – if the user doesn’t have this mod installed, they simply won’t hear the stream.

Players might consider installing the optional mod NotEnoughCodecs, if they want to use the Radio to stream music from Internet radio stations in the game.

http://dl.mod-minecraft.net/download.php?file=a8cf90bc7356bbffaeafcd19b18ec0be

Requires:

Minecraft Forge

OpenModsLib

OpenBlocks Mod Download Links:

For 1.7.10

http://dl.mod-minecraft.net/download.php?file=45e2440892ef5214a18a34b000be32a5

For 1.6.x

http://dl.mod-minecraft.net/download.php?file=9c4068d3bb6e9b5ea00beb774db472a8

For 1.5.2

http://dl.mod-minecraft.net/download.php?file=bc12bb530f80d5627068f8144cbb776c

Author: OpenMods, other_boq

โ† โ†’
Related Posts
  • joe

    it is giving me the .jar not the .zip file

  • Mackenzie

    you need .jar for windows

  • Fabrizio Lucentini

    you just put the .jar like the .zip and it works (i tryed)

  • jackaroo0505

    I cant get it to work for .zip

  • Sky Pikachu

    Why is not work i put he on mods folder and my minecraft is not work

  • Anonymus

    It doesnt work u need OpenBlocksLib and CodeChickenCore installed

  • Yyeellooww7

    where is the 1.7.2 version?

  • Anonymous

    Anybody planning to create a 1.4.7 version of this?

  • Nope, Not working in Version 1.7.10. Install instructions not right. ๐Ÿ™